For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all comments of the document with the specified id.
      • POSTCreates a new comment on the document with the specified id.
      • DELDeletes all comments of the specified document.
      • GETReturns the comment with the specified id of the document with the specified id.
      • PUTUpdates the comment with the specified id on the document with the specified id.
      • DELDeletes the comment with the specified id on the document with the specified id.
      • POSTUpdates the reactions of the comment with the specified id on the document with the specified id.
      • POSTSets the resolved status of a comment.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Comments

Deletes the comment with the specified id on the document with the specified id.

DELETE
https://api.awork.com/api/v1/documents/:documentId/comments/:commentId
DELETE
/api/v1/documents/:documentId/comments/:commentId
$curl -X DELETE https://api.awork.com/api/v1/documents/documentId/comments/commentId \
> -H "Authorization: Bearer <token>"
Deletes the comment with the specified id on the document with the specified id. The delete includes the reactions of the comment. If there are any replies to the comment, they will be deleted as well. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Updates the reactions of the comment with the specified id on the document with the specified id.

Next
Built with

Deletes the comment with the specified id on the document with the specified id. The delete includes the reactions of the comment. If there are any replies to the comment, they will be deleted as well.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentIdstringRequiredformat: "uuid"
The id of the document.
commentIdstringRequiredformat: "uuid"
The id of the comment.

Response

No Content

Errors

401
Unauthorized Error
404
Not Found Error